USAGE:(1)

NAME
tiff2jp2 - convert TIFF to JPEG 2000.

DESCRIPTION
usage: tiff2jp2 [-h] [--tilesize h w]

    [--verbosity {critical,error,warning,info,debug}] [--cratio CRATIO] [--psnr PSNR] [--codeblocksize cblkh cblkw] [--numres NUMRES] [--prog {lrcp,rlcp,rpcl,prcl,cprl}] [--irreversible] [--eph] [--plt] [--sop] [--nouuid] tifffile jp2kfile

Convert TIFF to JPEG 2000.

  positional arguments:

    tifffile jp2kfile

  optional arguments:

-h, --help
    show this help message and exit

--tilesize h w
    Dimensions of JP2K tile. (default: None)

--verbosity {critical,error,warning,info,debug}
    Logging level, one of "critical", "error", "warning", "info", or "debug". (default: warning)

--cratio CRATIO
    Compression ratio for successive layers. You may specify more than once to get multiple layers. (default: None)

--psnr PSNR
    PSNR for successive layers. You may specify more than once to get multiple layers. (default: None)

--codeblocksize cblkh cblkw
    Codeblock size. (default: None)

--numres NUMRES
    Number of decomposition levels. (default: 6)

--prog {lrcp,rlcp,rpcl,prcl,cprl}
    Progression order. (default: lrcp)

--irreversible
    Use irreversible 9x7 transform. (default: False)

--eph
    Generate EPH markers. (default: False)

--plt
    Generate PLT markers. (default: False)

--sop
    Generate SOP markers. (default: False)

--nouuid
    Do not create UUID box for TIFF metadata. (default: True)

Normally you should at least provide the tilesize argument. tiff2jp2 will NOT automatically use the TIFF tile dimensions (if tiled).

    [--verbosity {critical,error,warning,info,debug}] [--cratio CRATIO] [--psnr PSNR] [--codeblocksize cblkh cblkw] [--numres NUMRES] [--prog {lrcp,rlcp,rpcl,prcl,cprl}] [--irreversible] [--eph] [--plt] [--sop] [--nouuid] tifffile jp2kfile

tiff2jp2: error: the following arguments are required: tifffile, jp2kfile

SEE ALSO
The full documentation for usage: is maintained as a Texinfo manual. If the info and usage: programs are properly installed at your site, the command

    info usage:

should give you access to the complete manual.